Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 196558 - perl_ldap extensions
Summary: perl_ldap extensions
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: Other (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Infrastructure
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 129355 199350
  Show dependency tree
 
Reported: 2007-10-20 22:34 UTC by Christian Heim (RETIRED)
Modified: 2007-11-17 13:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
perl_ldap-exclude-infra-system.group.patch (perl_ldap-exclude-infra-system.group.patch,508 bytes, text/plain)
2007-10-20 22:34 UTC, Christian Heim (RETIRED)
Details
perl_ldap-sorted-ouput.patch (perl_ldap-sorted-ouput.patch,481 bytes, text/plain)
2007-10-20 22:35 UTC, Christian Heim (RETIRED)
Details
perl_ldap-lon-lat.patch (perl_ldap-lon-lat.patch,746 bytes, text/plain)
2007-10-20 22:36 UTC, Christian Heim (RETIRED)
Details
perl_ldap-UTF8.patch (perl_ldap-UTF8.patch,280 bytes, text/plain)
2007-10-20 23:42 UTC, Christian Heim (RETIRED)
Details
perl_ldap-mail-from-ldap.patch (perl_ldap-mail-from-ldap.patch,1.41 KB, text/plain)
2007-10-21 14:50 UTC, Christian Heim (RETIRED)
Details
revised perl_ldap-mail-from-ldap.patch (perl_ldap-mail-from-ldap.patch,663 bytes, text/plain)
2007-11-16 17:08 UTC, Christian Heim (RETIRED)
Details
perl_ldap-xml-instructions.diff (perl_ldap-xml-instructions.diff,604 bytes, text/plain)
2007-11-16 17:10 UTC, Christian Heim (RETIRED)
Details
perl_ldap-remove-birthday.patch (perl_ldap-remove-birthday.patch,711 bytes, text/plain)
2007-11-16 17:25 UTC, Christian Heim (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Heim (RETIRED) gentoo-dev 2007-10-20 22:34:14 UTC
Find attached patches against the perl_ldap script on ldap1(roadrunner).
Comment 1 Christian Heim (RETIRED) gentoo-dev 2007-10-20 22:34:55 UTC
Created attachment 133986 [details]
perl_ldap-exclude-infra-system.group.patch

Exclude users w/ the infra-system.group from the final userinfo.xml.
Comment 2 Christian Heim (RETIRED) gentoo-dev 2007-10-20 22:35:41 UTC
Created attachment 133988 [details]
perl_ldap-sorted-ouput.patch

Print the ldap records sorted by UID for a sorted userinfo.xml.
Comment 3 Christian Heim (RETIRED) gentoo-dev 2007-10-20 22:36:13 UTC
Created attachment 133990 [details]
perl_ldap-lon-lat.patch

Include lon/lat attributes from LDAP into userinfo.xml.
Comment 4 Christian Heim (RETIRED) gentoo-dev 2007-10-20 23:42:41 UTC
Created attachment 133993 [details]
perl_ldap-UTF8.patch

Make all data UTF8 encoded, so we don't need to decode_utf8 before saving things to the final userinfo.xml.
Comment 5 Mike Doty (RETIRED) gentoo-dev 2007-10-21 01:16:45 UTC
(In reply to comment #1)
> Created an attachment (id=133986) [edit]
> perl_ldap-exclude-infra-system.group.patch
> 
> Exclude users w/ the infra-system.group from the final userinfo.xml.
> 

excluding the attribute or excluding devs(like me,lance,robin)?
Comment 6 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2007-10-21 01:24:53 UTC
it exclude accounts that have the LDAP attribute gentooAccess=infra-system.group (eg gmirror, gbittorrent, tacotest).
Comment 7 Mike Doty (RETIRED) gentoo-dev 2007-10-21 02:53:09 UTC
(In reply to comment #6)
> it exclude accounts that have the LDAP attribute
> gentooAccess=infra-system.group (eg gmirror, gbittorrent, tacotest).
> 

ah, I see the difference now
Comment 8 Christian Heim (RETIRED) gentoo-dev 2007-10-21 14:50:53 UTC
Created attachment 134040 [details]
perl_ldap-mail-from-ldap.patch

A somewhat preliminary version of how it might be done. Still needs some discussion on whether we need the role for email-attribute at all.
Comment 9 Christian Heim (RETIRED) gentoo-dev 2007-11-16 17:08:25 UTC
Created attachment 136093 [details]
revised perl_ldap-mail-from-ldap.patch

With neysx' last commit to the the userinfo.xml, the role attribute has been obsoleted. Thus, we don't need to generate any role="" attributes either.
Comment 10 Christian Heim (RETIRED) gentoo-dev 2007-11-16 17:10:01 UTC
Created attachment 136094 [details]
perl_ldap-xml-instructions.diff

As neysx explained in #199350, c2; userinfo-devlist.xsl is no longer valid.
Comment 11 Christian Heim (RETIRED) gentoo-dev 2007-11-16 17:25:45 UTC
Created attachment 136096 [details]
perl_ldap-remove-birthday.patch

As neysx explained in private mail, the birthday attribute has been removed, thus it ain't no longer valid to be in userinfo.xml
Comment 12 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2007-11-17 13:55:24 UTC
Applied to perl_ldap, updated to dev-perl/Convert-ASN1-0.21 and latest perl-ldap, and merged the sane password-name functinality from roadrunner's perl_ldap.